org.apache.uima.jcas.cas

## Class StringArray

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImpl
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.StringArray

- All Implemented Interfaces:
    Cloneable, Iterable<String>, CommonArrayFS, FeatureStructure, StringArrayFS

      public final class StringArray
      extends TOP
      implements Iterable<String>, StringArrayFS

  JCas class model for StringArray

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `type`
    `static int` | `typeIndexID` Each cover class when loaded sets an index.

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `addr, jcasType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringArray(int addr, TOP_Type type)`
    `StringArray(JCas jcas, int length)` Make a new StringArray of given size

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFromArray(String[] src, int srcOffset, int destOffset, int length)` Copy the contents of an external array into this array.
    `void` | `copyToArray(int srcOffset, String[] dest, int destOffset, int length)` Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
    `String` | `get(int i)` Get the i-th string from the array.
    `int` | `getTypeIndexID()` used to obtain reference to the TOP_Type instance
    `Iterator<String>` | `iterator()`
    `void` | `set(int i, String v)` Set the i-th value.
    `int` | `size()` return the size of the array
    `String[]` | `toArray()` Creates a new array the this array is copied to.
    `String[]` | `toStringArray()` Creates a new string array and copies this array values into it.

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `addToIndexes, addToIndexes, equals, getAddress, getCAS, getCASImpl, getLowLevelCas, hashCode, removeFromIndexes, removeFromIndexes`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl

      `clone, getavoidcollisionTypeCode, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `clone, equals, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

      Each cover class when loaded sets an index. Used in the JCas typeArray to go from the cover class or class instance to the corresponding instance of the _Type class

    - #### type

          public static final int type

  - ### Constructor Detail

    - #### StringArray

          public StringArray(int addr,
                             TOP_Type type)

    - #### StringArray

          public StringArray(JCas jcas,
                             int length)

      Make a new StringArray of given size
      Parameters:
        `jcas` - The JCas
        `length` - The number of elements in the new array

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      used to obtain reference to the TOP_Type instance
      Overrides:
        `getTypeIndexID` in class `TOP`
      Returns:
        the type array index

    - #### get

          public String get(int i)

      Description copied from interface: `StringArrayFS`
      Get the i-th string from the array.
      Specified by:
        `get` in interface `StringArrayFS`
      Parameters:
        `i` - the index
      Returns:
        The i-th element.
      See Also:
        `StringArrayFS.get(int)`

    - #### set

          public void set(int i,
                          String v)

      Description copied from interface: `StringArrayFS`
      Set the i-th value.
      Specified by:
        `set` in interface `StringArrayFS`
      Parameters:
        `i` - The index.
        `v` - The value.
      See Also:
        `StringArrayFS.set(int, String)`

    - #### copyFromArray

          public void copyFromArray(String[] src,
                                    int srcOffset,
                                    int destOffset,
                                    int length)

      Description copied from interface: `StringArrayFS`
      Copy the contents of an external array into this array.
      Specified by:
        `copyFromArray` in interface `CommonArrayFS`
      Specified by:
        `copyFromArray` in interface `StringArrayFS`
      Parameters:
        `src` - The source array.
        `srcOffset` - Where to start copying in the source array.
        `destOffset` - Where to start copying to in the destination array.
        `length` - The number of elements to copy.
      See Also:
        `StringArrayFS.copyFromArray(String[], int, int, int)`

    - #### copyToArray

          public void copyToArray(int srcOffset,
                                  String[] dest,
                                  int destOffset,
                                  int length)

      Description copied from interface: `StringArrayFS`
      Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
      Specified by:
        `copyToArray` in interface `CommonArrayFS`
      Specified by:
        `copyToArray` in interface `StringArrayFS`
      Parameters:
        `srcOffset` - The index of the first element to copy.
        `dest` - The array to copy to.
        `destOffset` - Where to start copying into `dest`.
        `length` - The number of elements to copy.
      See Also:
        `StringArrayFS.copyToArray(int, String[], int, int)`

    - #### toArray

          public String[] toArray()

      Description copied from interface: `StringArrayFS`
      Creates a new array the this array is copied to.
      Specified by:
        `toArray` in interface `StringArrayFS`
      Returns:
        A Java array copy of this FS array.
      See Also:
        `StringArrayFS.toArray()`

    - #### size

          public int size()

      return the size of the array
      Specified by:
        `size` in interface `CommonArrayFS`
      Specified by:
        `size` in interface `StringArrayFS`
      Returns:
        The size of the array.

    - #### toStringArray

          public String[] toStringArray()

      Description copied from interface: `CommonArrayFS`
      Creates a new string array and copies this array values into it.
      Specified by:
        `toStringArray` in interface `CommonArrayFS`
      Returns:
        A Java array copy of this array.

    - #### iterator

          public Iterator<String> iterator()

      Specified by:
        `iterator` in interface `Iterable<String>`

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.